Page MenuHomePhabricator

Decommission db2035
Closed, ResolvedPublic

Description

This task will track the decommission of server db2035.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2035

Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #1 and #3 as broken so it doesn't get re-used again
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/dns : masterDNS: Remove mgmt DNS for db2035 and db2054
operations/dns : masterwmnet: Remove db2035 production entries
operations/puppet : productionmariadb: Remove db2035
operations/puppet : productionmariadb: Decommission db2035
operations/puppet : productiondb2035: Disable notifications
operations/mediawiki-config : masterdb-eqiad,db-codfw.php: Remove db2035 from config

Event Timeline

Marostegui triaged this task as Medium priority.Aug 5 2019, 8:39 AM
Marostegui created this task.

Change 528075 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2035 from config

https://gerrit.wikimedia.org/r/528075

Marostegui updated the task description. (Show Details)Aug 5 2019, 8:44 AM

Change 528075 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2035 from config

https://gerrit.wikimedia.org/r/528075

Mentioned in SAL (#wikimedia-operations) [2019-08-05T08:45:48Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2035 from config T229784 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2019-08-05T08:46:41Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2035 from config T229784 (duration: 00m 46s)

Change 528413 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2035: Disable notifications

https://gerrit.wikimedia.org/r/528413

Change 528413 merged by Marostegui:
[operations/puppet@production] db2035: Disable notifications

https://gerrit.wikimedia.org/r/528413

Marostegui updated the task description. (Show Details)Aug 6 2019, 10:19 AM

Change 528982 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2035

https://gerrit.wikimedia.org/r/528982

Change 528982 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2035

https://gerrit.wikimedia.org/r/528982

Marostegui updated the task description. (Show Details)Aug 8 2019, 5:52 AM

Mentioned in SAL (#wikimedia-operations) [2019-08-08T05:52:55Z] <marostegui> Remove db2035 from tendril and zarcillo T229784

Mentioned in SAL (#wikimedia-operations) [2019-08-08T05:54:43Z] <marostegui> Stop MySQL on db2035 for decommissioning T229784

Marostegui reassigned this task from Marostegui to RobH.Aug 8 2019, 5:56 AM
Marostegui updated the task description. (Show Details)
Marostegui removed projects: Patch-For-Review, DBA.

This host is now ready for DC-Ops to decommission

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Aug 16 2019, 3:42 PM
Marostegui updated the task description. (Show Details)Aug 26 2019, 5:00 AM

Change 539014 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove db2035

https://gerrit.wikimedia.org/r/539014

Change 539015 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove db2035 production entries

https://gerrit.wikimedia.org/r/539015

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2035.codfw.wmnet

  • db2035.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 539014 merged by Marostegui:
[operations/puppet@production] mariadb: Remove db2035

https://gerrit.wikimedia.org/r/539014

Change 539015 merged by Marostegui:
[operations/dns@master] wmnet: Remove db2035 production entries

https://gerrit.wikimedia.org/r/539015

Marostegui reassigned this task from RobH to Papaul.Sep 25 2019, 5:16 AM
Marostegui updated the task description. (Show Details)
Marostegui removed a project: Patch-For-Review.
Marostegui added a subscriber: Papaul.

Host ready for @Papaul after running the decommissioning script

papaul@asw-b-codfw# show | compare 
[edit interfaces interface-range vlan-private1-b-codfw]
-    member ge-1/0/4;
[edit interfaces interface-range disabled]
     member ge-3/0/20 { ... }
+    member ge-1/0/4;
[edit interfaces]
-   ge-1/0/4 {
-       description db2035;
-       enable;
-   }
Papaul updated the task description. (Show Details)Sep 25 2019, 3:17 PM
Papaul updated the task description. (Show Details)Oct 3 2019, 2:27 PM
RobH removed a subscriber: RobH.Oct 3 2019, 3:55 PM
Papaul updated the task description. (Show Details)Oct 3 2019, 10:13 PM
Papaul added a subscriber: RobH.
RobH removed a subscriber: RobH.Oct 3 2019, 11:15 PM

Change 540728 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2035 and db2054

https://gerrit.wikimedia.org/r/540728

Change 540728 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2035 and db2054

https://gerrit.wikimedia.org/r/540728

Papaul closed this task as Resolved.Oct 4 2019, 12:11 AM
Papaul updated the task description. (Show Details)
Papaul added a subscriber: RobH.

complete

RobH removed a subscriber: RobH.Oct 4 2019, 3:15 PM